> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /linkedin/search/jobs

> Linkedin Search Jobs

**Price:** 1 credit per 25 results



## OpenAPI

````yaml /openapi/professional-network.json post /api/linkedin/search/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/linkedin/search/jobs:
    post:
      tags:
        - LinkedIn Search
      summary: /linkedin/search/jobs
      description: |-
        Linkedin Search Jobs

        **Price:** 1 credit per 25 results
      operationId: __api_linkedin_search_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedinSearchJobsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LinkedinSearchJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LinkedinSearchJobsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keywords:
          type: string
          default: ''
        sort:
          anyOf:
            - type: string
              enum:
                - recent
                - relevant
            - type: 'null'
        experience_level:
          anyOf:
            - items:
                type: string
                enum:
                  - internship
                  - entry_level
                  - associate
                  - mid_senior
                  - director
                  - executive
              type: array
              uniqueItems: true
            - type: 'null'
        job_types:
          anyOf:
            - items:
                type: string
                enum:
                  - full_time
                  - part_time
                  - contract
                  - temporary
                  - internship
                  - other
              type: array
              uniqueItems: true
            - type: 'null'
        work_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinWorkType'
              type: array
              uniqueItems: true
            - type: 'null'
        industry:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_industry__'
              type: array
              uniqueItems: true
            - type: string
        company:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_company__'
              type: array
              uniqueItems: true
            - type: 'null'
        location:
          type: string
          default: worldwide
        count:
          type: integer
          maximum: 1000
          exclusiveMinimum: 0
      type: object
      required:
        - count
    LinkedinSearchJob:
      properties:
        '@type':
          type: string
          default: LinkedinSearchJob
        urn:
          $ref: '#/components/schemas/LinkedinURN_Literal_job__'
        name:
          type: string
        url:
          type: string
        company:
          anyOf:
            - $ref: '#/components/schemas/LinkedinSearchJobCompany'
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        work_type:
          anyOf:
            - $ref: '#/components/schemas/LinkedinWorkType'
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        is_promoted:
          type: boolean
          default: false
        is_east_apply:
          type: boolean
          default: false
      type: object
      required:
        - urn
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LinkedinWorkType:
      type: string
      enum:
        - on-site
        - hybrid
        - remote
    LinkedinURN_Literal_industry__:
      properties:
        type:
          type: string
          const: industry
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN_Literal_company__:
      properties:
        type:
          type: string
          const: company
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN_Literal_job__:
      properties:
        type:
          type: string
          const: job
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinSearchJobCompany:
      properties:
        '@type':
          type: string
          default: LinkedinSearchJobCompany
        urn:
          anyOf:
            - $ref: '#/components/schemas/LinkedinURN_Literal_fsd_company_company__'
            - type: 'null'
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - urn
        - name
        - alias
        - url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    LinkedinURN_Literal_fsd_company_company__:
      properties:
        type:
          type: string
          enum:
            - fsd_company
            - company
        value:
          type: string
      type: object
      required:
        - type
        - value
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````